## dlib 1.0.3

=== DESCRIPTION ===
Package: dlib
Type: Package
Title: Allow Access to the 'Dlib' C++ Library
License: BSL-1.0
Version: 1.0.3
Date: 2018-05-07
Maintainer: Jan Wijffels <jwijffels@bnosac.be>
Author: Jan Wijffels, BNOSAC, Davis King and dlib package authors (see file AUTHORS)
Description: Interface for 'Rcpp' users to 'dlib' <http://dlib.net> which is a
    'C++' toolkit containing machine learning algorithms and computer vision tools.
    It is used in a wide range of domains including robotics, embedded devices,
    mobile phones, and large high performance computing environments. This package
    allows R users to use 'dlib' through 'Rcpp'.
LinkingTo: Rcpp
Copyright: see file COPYRIGHTS
Imports: Rcpp
Suggests: inline, magick
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2018-05-07 08:50:13 UTC; Jan
Repository: CRAN
Date/Publication: 2018-05-07 11:58:37 UTC
